| Home | Libraries | People | FAQ | More

## Function template erase_first

boost::algorithm::erase_first — Erase first algorithm.

## Synopsis

    template<typename SequenceT, typename RangeT>
      void erase_first(SequenceT & Input, const RangeT & Search);

## Description

Remove the first occurrence of the substring from the input. The input sequence is modified in-place.

Parameters: |
`Input` | An input string
`Search` | A substring to be searched for.